Summary: Perl implementation of DMARC
Name: perl-Mail-DMARC
Version: 1.20250203
Release: 1%{?dist}
License: Artistic-1.0-Perl OR GPL-1.0-or-later
Group: Development/Libraries
URL: https://metacpan.org/pod/Mail::DMARC
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://cpan.metacpan.org/modules/by-module/Mail/Mail-DMARC-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: %{__perl}
BuildRequires: perl(base)
BuildRequires: perl(Carp)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(File::ShareDir::Install) >= 0.06
Requires: perl(:MODULE_COMPAT_%(eval "$(%{__perl} -V:version)"; echo $version))

%description
This module is a suite of tools for implementing DMARC. It adheres to the
2013 DMARC draft, intending to implement every MUST and every SHOULD.

This module can be used by:

* MTAs and filtering tools like SpamAssassin to validate that incoming
  messages are aligned with the purported sender's policy.

* email senders, to receive DMARC reports from other mail servers and
  display them via CLI and web interfaces.

* MTA operators to send DMARC reports to DMARC author domains.

When a message arrives via SMTP, the MTA or filtering application can pass
in a small amount of metadata about the connection (envelope details, SPF
and DKIM results) to Mail::DMARC.

%prep
%setup -q -n Mail-DMARC-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{__make}

%install
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
%{__chmod} -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes.md FAQ.md LICENSE README.md TODO.md
%{perl_vendorlib}/*
%{_bindir}/dmarc_*
%{_mandir}/man1/dmarc_*.1*
%{_mandir}/man3/*.3*

%changelog
* Tue Feb 04 2025 Simon Matter <simon.matter@invoca.ch> 1.20250203-1
- upgrade to 1.20250203

* Thu Mar 14 2024 Simon Matter <simon.matter@invoca.ch> 1.20240314-1
- upgrade to 1.20240314

* Wed Mar 13 2024 Simon Matter <simon.matter@invoca.ch> 1.20240313-1
- upgrade to 1.20240313

* Thu Feb 15 2024 Simon Matter <simon.matter@invoca.ch> 1.20240214-1
- upgrade to 1.20240214

* Wed Feb 15 2023 Simon Matter <simon.matter@invoca.ch> 1.20230215-1
- upgrade to 1.20230215

* Tue Jan 03 2023 Simon Matter <simon.matter@invoca.ch> 1.20211209-1
- initial package
